/* RGB */

$color1: #e74665;
$color2: #6D071A;
$color3: #3bab38;
$color4: rgb(234, 237, 237);

  .yspc {
    color: $color2;
  }
  .yssc{
    color: $color1;
  }
@import "../public/assets/styles/button.scss";

html, body {
  height: 100%;
  font-family: 'Lato';
  background-color: $color4;
}

a { color: inherit; } 

.icon-size {
  font-size: 130%;
  margin-left: 0%;
  padding: 10px 4px 4px 4px;
}

.back-icon {
  font-size: 20px;
  color: #101010;
}

.right-shadow {
  box-shadow: 2px 0 5px 0 rgba(0, 0, 0, 0.24);
}

.auth-wrapper {
  background-color: #fff;
  min-height: 100%;
  border-top: 5px solid $color1;
  border-bottom: 5px solid $color1;
}

.auth-form {
  // max-width: 325px;
  margin-top: 2%;
  width: auto;
  background-color: #fff;
  padding: 20px 34px;
  border-radius: 6px;
  text-align: center;
  vertical-align: middle;
}

.auth-cover {
  background-image: url('../public/assets/images/bkg.jpg');
  background-size: cover;
}

.auth-title {
  text-align: center;
}

.form-control-select {
  height: 38px;
}

.form-group {
  margin-bottom: 20px !important;
}

.form-group label {
  color: #4D4F5C;
}

.form-control-select input {
  color: #4D4F5C !important;
}

.custom-file {
  height: 50px;
  
  label, input {
    height: 100%;
    padding-top: 0.75rem;
  }

  .custom-file-label::after {
    height: 100%;
    padding: 0.75rem;
  }
}

.form-control-select,
textarea.form-control,
input.form-control:not([type='checkbox']),
select.form-control {
  height: 50px;
  border-radius: 2px;
  background-color: #fff !important;
  border-color: transparent; 
  box-shadow: 0px 2px 6px #0000000A;
  border: 0.5px solid #CACED5;
  color: #4D4F5C !important;
}

.form-control-select:focus,
textarea.form-control,
input.form-control:not([type='checkbox']):focus,
select.form-control:focus {
  box-shadow: 0 0;
  border-color: transparent; 
  border: 0.5px solid #a4a8ad;
}

.form-control-select .vs__dropdown-toggle {
  border: 0;
  height: 100%;
}

input.form-control-sm,
select.form-control-sm {
  height: 40px;
}

input.form-control.readonly {
  background-color: #efefef !important;
  cursor: not-allowed;
}

textarea.form-control {
  height: auto;
}

.page-item {
  margin: 5px 7px;
  width: 35px;
  height: 35px;
  //border-radius: 20px;
  border-radius: 4px;
  background-color: #ccc;
}

.page-item a {
  width: 100%;
  height: 100%;
  display: block;
  margin-top: 5px;
}

.th-sortable {
  cursor: pointer;
  position: relative;
}

.th-sortable:before,
.th-sortable:after {
	border: 4px solid transparent;
	content: "";
	display: block;
	height: 0;
	right: 5px;
	top: 50%;
	position: absolute;
	width: 0;
}

.th-sortable.desc:before {
	border-bottom-color: #666;
	margin-top: -9px;
}

.th-sortable.asc:after {
	border-top-color: #666;
	margin-top: 1px;
}

.th-sortable:hover {
  background-color: #efefef;
}

.search-table-icon{
  margin: 12px 0px 0px 14px;
}

.search-table-input{
  border: 1px solid grey;
  border-width: 1px;
  border-radius: 7px;
  height: 40px;
  width: 350px;
  padding-left: 50px;
}

.filtre-select{
  border: 1px solid grey;
  border-width: 1px;
  border-radius: 7px;
  height: 40px;
  width: 250px;
  background-color: white;
  color: #4D4F5C;
}

.tri-table{
  margin: 0px 0px 0px 15px;
}

.label-tri-table{
  margin: 10px 10px 0px 15px;
  display: inline-block; 
  vertical-align: center;
}

.delete-table{
  margin: 0px 0px 0px 15px;
}

.add-table{
  margin: 0px 0px 0px 15px;
}

.float-right{
  float: right !important;
  .row > & {
    margin-left: auto !important;
  }
}

.thetable{
 margin: 20px 0 0 0; 
}

.cursor-p {
  cursor: pointer;
}

.red-badge{
  background-color: #C34C4C;
  width: 27px;
  height: 12px;
  display: inline-block;
  border-radius: 10px;
  // margin-top: 15px;
  margin-right: 5px;
}

.green-badge{
  background-color: #8AB261;
  width: 27px;
  height: 12px;
  display: inline-block;
  border-radius: 10px;
  // margin-top: 15px;
  margin-right: 5px;
}

.pagi{
  background-color:#d3d3d3;
}

.marg{
  margin-top: 5px;
}

.table-picture{
  background-image: url('../public/assets/images/pic.jpeg');
  //background-image: url('./assets/images/bkg.jpg');
  //background-color: red;
}

.btn-ajt,
.btn-ajt:hover {
  background: darken($color1, 10%) 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 6px #0000000D;
  border: 0.5px solid #CACED5;
  border-radius: 6px;
  opacity: 1;
  width: 200px;
  height: 40px;
  color: white
}

.btn-light {
  background-color: $color2;
  padding: 7px;
  color: white;
  cursor: pointer;

}

.btn-light:hover {
  background-color: $color2;
  /*padding: 7px;*/
  color: white;
}

.btn-upload-photo {
  background-color: #AAAAAA;
  box-shadow: 0px 2px 6px #0000000D;
  border: 0.5px solid #CACED5;
  border-radius: 6px;
  opacity: 1;
  color: #fff !important;
  height: 38px;
  margin-top: 20px;
}

.btn-upload-photo:hover {
  background-color: #404040;
  color: #fff !important;
}

.card-upload {
  margin-top: 32px;
  margin-bottom: 32px;
  padding: 23px;
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.039);
  border: 0.5px dashed #CACED5;
}

.upload-photo {
  text-align: center;
}


.upload-title {
  color: #D1D1D1;
  font-size: 22px;
}

.upload-subtitle {
  color: #4D4F5C;
  font-weight: 300;
  font-size: 11px;
}

.img-font-size {
  font-size: 124px;
}

.icon-big {
  font-size: 30px;
  vertical-align: middle;
}

.icon-big ~ span {
  vertical-align: middle;
}

.form-search {
  position: relative;
  i {
    position: absolute;
    left: 15px;
  }

  input {
    padding-left: 40px;
  }
}

.card-users {
  .card-header {
    background-color: #fff;
    padding: 0;

    .nav-link {
      font-size: 15px;
      color: #5A5A5A;
      background-color: #fff;
      opacity: 1;
      height: 100%;
      padding: 14px 21px;
      border-radius: 0;
      text-align: center;
    }

    .nav-link.nav-min {
      width: 175px;
    }
    
    .nav-link:hover {
      background-color: #e4e5e7;
      box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.039);
      border-bottom: 4px solid #0F70B7;
    }

    .nav-link.active,
    .nav-link.router-link-exact-active {
      background-color: #F5F6FA;
      box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.039);
      border-bottom: 4px solid #0F70B7;
    }

  }

  table thead {
    background-color: #F5F6FA;
    color: #5A5A5A;

    th {
      padding: 0.6rem 0.75rem;
    }
  }
}


.form-block {
  padding-top: 30px;
  padding-bottom: 30px;

  .form-group {
    display: flex;
    justify-content: space-between;
    align-items: center;

    label {
      flex: 1;
      margin-bottom: 0;
    }

    label ~ div {
      flex: 3;
      padding-left: 10px;
      padding-right: 10px;
    }

    label ~ input {
      flex: 3;
    }
  }
}


.cours-item {
  display: flex;
  position: absolute;
  z-index: 1000;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  border-radius: 8px;
  cursor: pointer;

  &.selected-cours {
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.039);
    border: 3px rgb(12, 9, 180) solid;
  }

  .cours-item-title {
    text-align: center;
  }
  
  
}

.color-preview {
  width: 25px;
  height: 25px;
  border-radius: 100%;
  margin: 0 auto;
}

//panier ccs card box
$bg: #eedfcc;
$text: #777;
$black: #121212;
$white: #fff;
$red: #e04f62;
$border: #ebebeb;
$shadow: rgba(0, 0, 0, 0.2);

@mixin transition($args...) {
  transition: $args;
}

* {
  box-sizing: border-box;
  &::before,
  &::after {
    box-sizing: border-box;
  }
}

.blog-card {
  display: flex;
  flex-direction: row;
  margin-left: 20px;
  background: $white;
  box-shadow: 0 0.1875rem 1.5rem $shadow;
  border-radius: 0.375rem;
  overflow: hidden;
  margin-bottom: 10px;
  height: 200px;
  margin: auto;
  width: 80%;
  padding: 20px;
}

.card-link {
  position: relative;
  display: block;
  color: inherit;
  text-decoration: none;
}

.post-image {
  @include transition(opacity 0.3s ease);
  display: block;
  width: 100%;
  object-fit: cover;
}

.post-img {
  @include transition(opacity 0.3s ease);
  display: block;
  // width: 80%;
  margin-right: -150px;
  // object-fit: cover;
}

.article-details {
  padding: 1.5rem;
}

.post-category {
  display: inline-block;
  text-transform: uppercase;
  font-size: 0.75rem;
  font-weight: 700;
  line-height: 1;
  letter-spacing: 0.0625rem;
  margin: 0 0 0.75rem 0;
  padding: 0 0 0.25rem 0;
  border-bottom: 0.125rem solid $border;
}

.post-title {
  @include transition(color 0.3s ease);
  font-size: 1.125rem;
  line-height: 1.4;
  color: $black;
  font-weight: 700;
  margin: 0 0 0.5rem 0;
}

.post-totaux {
  font-size: 0.875rem;
  line-height: 1;
  margin: 1.125rem 0 0 0;
  padding: 1.125rem 0 0 0;
  border-top: 0.0625rem solid $border;
}

@supports (display: grid) {
  .post-image {
    height: 80%;
  }

  .post-img {
    height: 160px;
  }
  .blog-card {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: 1fr;
  }
}

.tac {
  text-align: center;
}

//css képo


  .cat:hover {
    box-shadow: 0 6px 20px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  }

  .accp:hover {
    box-shadow: 0 6px 20px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  }

.cat-img
{
	max-width: 286px;
	max-height: 200px;
  border-radius : 10px ;
  margin-left: -10px;
}

  .mw{
    width: 300px;
  }

.passive{
  color: black;
  margin-right: 8px;
  border: 2px solid #f4f4f4;
  border-radius: 5px;
  padding: 4px 5px;
}

.passive:hover
{
	background-color: $color2;
	color: #ffffff;
  border-radius : 5px ;
  cursor: pointer;
}

.passive-active {
	background-color: $color2;
	color: #ffffff;
  border-radius : 5px ;
  padding: 4px 5px;
  margin-right: 8px;
}


.menu {
	font-size: 16px;
  left: 0px;
  position: fixed;
  top: 0px;
  width: 100%;
  z-index: 1000;
	display: inline-block;
}

.menu-admin {
	font-size: 16px;
  width: 100%;
  z-index: 1000;
	display: inline-block;
  overflow: hidden;
}

.slide-detail{
  text-align: center;
  margin-left: 5%;
  // margin-right: auto;
}

.barre {
  text-decoration: line-through;
  color: $text;
}

.fwb {
  font-weight: bold;
  color: black;
  // font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.butFavoris{
  width: auto;
  height: 28px;
  font-size: 16px;
    /* width: 120px; */
  /* height: 50px; */
  /* margin: 20px 0px 0px 15px; */
  background-color: #F3930C;
  border-top-right-radius: 8px;
  border-bottom-left-radius: 10px;
  margin-bottom: -5px;
  margin-left: -5px;
  color: white;
  padding: 2px;
}

.butPanier{
  width: auto;
  height: 28px;
  font-size: 16px;
    background-color: #F3930C;
    border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  // margin-bottom: -10px;
  margin-right: -5px;
  color: white;
  padding: 2px;
}

.butPaniers{
  width: 36%;
  // height: 30px;
  font-size: 20px;
  color: #fff;
  background-color: #F3930C;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  margin-bottom: -10px;
}

.butPaniers-r{
  width: 36%;
  // height: 30px;
  font-size: 20px;
  color: #fff;
  background-color: $color1;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  margin-bottom: -10px;
}

.accp-s{
  width: 280px;
	height: auto;
	background-color: #ffffff;
	border-radius : 10px ;
	// padding: 2px;
	margin: 1%;
	box-shadow: 0 6px 20px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  text-align: center;
  
}

.accp{
	width: 280px;
	height: auto;
	background-color: #ffffff;
	border-radius : 10px ;
	// padding: 2px;
	margin: 1%;
	// box-shadow: 0 6px 20px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  text-align: center;
  // padding-bottom: -10px;
}

.accp-img{
  max-width: 280px;
  margin-left: 15px;
	max-height: 200px;
  border-radius : 10px ;
  display : flex ;
  
}
.rate-value {
  text-align: center; 
  font-size: 1.8em;
}

.texte-btn {
  font-size: 14px;
  margin-left: 4px;
}
$col2 : #ffffff;
$col1 : #3691e7;

.body-bckg{
  // background: transparent linear-gradient(180deg, darken($color1, 4%) 12%, darken($col2, 5%) 80%) 0% 0% no-repeat padding-box;

  background: transparent linear-gradient(180deg, darken(#5397e6, 4%) 12%, darken(hsl(180, 7%, 97%), 5%) 80%) 0% 0% no-repeat padding-box;
  color: white;
}

.label-title {
  text-align: center;
  font-weight: bold;
  font-size: 18px;
}

.label-title2 {
  text-align: center;
  font-weight: bold;
  // font-size: 18px;
}

.label-title-min{}

.font-weight {
  font-weight: bold;
}

.top-space {}

.mobile-only{
  visibility: hidden;
  height: 0px;
  width: 0px;
}

.web-only{
  // visibility: visible;
  // height: auto;
  // width: auto;
}

.user-icon {
  width: 30px;
  height: 30px;
}

.user-icon2 {
  width: 100px;
  height: 100px;
}

@media screen and (min-width:180px) and (max-width:650px) and (max-width:1120px){

  .label-title, .label-title2 {
    font-size: 11.2px;
    font-weight: bold;
    text-align: center;
  }

  .label-title-min {
    font-size: 11.2px;
    text-align: center;
  }

  .top-space {
    margin-top: 16px;
  }

  .mobile-only{
    visibility: visible;
    height: auto;
    width: auto;
  }

  .web-only{
    visibility: hidden;
    // height: 0px;
    // width: 0px;
  }

  .detail-title {
    font-size: 12px;
    color: #5A5A5A;
  }
  
  .detail-value {
    font-weight: bold;
    font-size: 12px;
    color: #5A5A5A;
  }

  .user-icon {
    width: 22px;
    height: 22px;
  }

  .user-icon2 {
    width: 30px;
    height: 30px;
  }
}

  .footer{
    background-color: #101010;
    color: #fff;
    opacity: 0.8;
    // width: 99.4%;
    height: auto;
    padding: 5px;
    overflow-x: hidden;
  }

 
  